package View;

import java.util.List;
import java.util.Observable;

import Model.IPoint;

public class SignatureObservable extends Observable {
	
	private static SignatureObservable _instance;
	
	public static SignatureObservable Instance(){
		if(_instance == null) {
			_instance = new SignatureObservable();
		}
		return _instance;
	}
	
	public void SignatureNotify(List<IPoint> list){
		this.setChanged();
		this.notifyObservers(list);
	}
	
}